%define upstream_name    MooseX-Types-Structured
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Structured type constraints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(MooseX::Meta::TypeCoercion::Structured)
Provides:   perl(MooseX::Meta::TypeConstraint::Structured)

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(Devel::PartialDump) >= 0.130.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 1.80.0
BuildRequires: perl(Moose::Meta::TypeCoercion)
BuildRequires: perl(Moose::Meta::TypeConstraint)
BuildRequires: perl(Moose::Meta::TypeConstraint::Parameterizable)
BuildRequires: perl(Moose::Util::TypeConstraints) >= 1.60.0
BuildRequires: perl(MooseX::Types) >= 0.220.0
BuildRequires: perl(MooseX::Types::DateTime)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter) >= 0.982.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A structured type constraint is a standard container the Moose manpage type
constraint, such as an ArrayRef or HashRef, which has been enhanced to
allow you to explicitly name all the allowed type constraints inside the
structure. The generalized form is:

    TypeConstraint[@TypeParameters or %%TypeParameters]

Where 'TypeParameters' is an array or hash of the
Moose::Meta::TypeConstraint manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/MooseX


%changelog

* Thu Oct 13 2011 jquelin <jquelin> 0.280.0-1.mga2
+ Revision: 154550
- fix %%description
- update to 0.28

* Wed Jun 15 2011 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 107197
- update to 0.27

* Tue Jan 25 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 38663
- mageia rebuild
- imported package perl-MooseX-Types-Structured

